unit FragmentShaderObject;

interface

uses Windows, SysUtils, GL, GLu, GLext, WGLext, GLtools, ShaderObjects;

type
  TFragmentShaderObject = class(TShaderObject)
  protected
  public
    constructor Create; reintroduce;
    destructor Destroy; override;
  end;

implementation

constructor TFragmentShaderObject.Create;
begin
  if not glext_ExtensionSupported('GL_ARB_fragment_shader') then
    raise Exception.Create('GL_ARB_fragment_shader required!');

  inherited Create(GL_FRAGMENT_SHADER_ARB);
end;

destructor TFragmentShaderObject.Destroy;
begin
  inherited Destroy;
end;

end.
